# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc库存配置删除功能验证,2293,2293-033,sit,bs
主数据平台:运营后台管理系统库存配置删除接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json


module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中库存配置id
sql = "SELECT t.stockRuleId  FROM `cmdc-product`.ic_stock_rule t WHERE companyCode = 00111 and deleteSign = 0 and ruleName = '测试数据12321'"
rule_id = mysql_handle.selectSql(host, port, user, pwd, "cmdc-product", sql)[0][0]

# 进行库存配置删除操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url24")
request_body = commonFuc().get_business_data(module, "payload24", rule_id)

"""
 场景: 库存配置删除功能验证
 用例名称：库存配置删除功能验证
 输出：{"deleteSign":1}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 查询数据库中对应库存配置删除标识
sql = "SELECT t.deleteSign  FROM `cmdc-product`.ic_stock_rule t WHERE stockRuleId = {}".format(rule_id)
result = {"deleteSign": mysql_handle.selectSql(host, port, user, pwd, "cmdc-product", sql)[0][0]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict24")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
