# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件验证_商品属性列表,2293,2293-002,sit,bs
主数据平台:后台运营系统商品属性列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import datetime
import random
import json

module = "cmdc_product"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取商品属性列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)


# 此函数用于当x为none时，进行空字符串替换
def func(x):
    if x is None:
        x = ""
        return x
    else:
        return x


# 生成一个随机数字，用于后续随机选择某一条商品属性信息
rebate_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取商品属性信息
product_code = result["data"]["list"][rebate_random]["productCode"]
product_name = func(result["data"]["list"][rebate_random]["productName"])
specifications = result["data"]["list"][rebate_random]["specifications"]
material_code = result["data"]["list"][rebate_random]["materialCode"]
manufacturer = func(result["data"]["list"][rebate_random]["manufacturer"])
property_name = func(result["data"]["list"][rebate_random]["propertyName"])
property_note = func(result["data"]["list"][rebate_random]["propertyNote"])
property_val = func(result["data"]["list"][rebate_random]["propertyVal"])
create_time_start = result["data"]["list"][rebate_random]["createTime"]
update_time_start = result["data"]["list"][rebate_random]["updateTime"]

# 获取当前时间作为创建时间和最近修改时间截止时间
end_time = datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S')

# 第三步进行条件查询验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
request_body = commonFuc().get_business_data(module, "payload2", product_code, product_name, specifications,
                                             material_code,
                                             manufacturer, property_name, property_note, property_val, create_time_start,
                                             end_time, end_time, update_time_start)
# print(request_body)
"""

 场景: 验证商品明细列表查询条件是否可以正常使用
 用例名称：列表查询条件验证_商品属性列表
 输出：{"productCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取查询结果中商品code
result = {"productCode": result["data"]["list"][0]["productCode"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict2", product_code)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)


