# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc套包协议特价查询,2264,2264-36,sit,bs
主数据平台:后台运营系统套包协议特价查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_special_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步套包协议特价查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
request_body = commonFuc().get_business_data(module, "payload03")
"""
 场景:验证套包协议特价接口返回数据与数据库数据是否一致
 用例名称：套包协议价查询
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取套包协议特价总数量
result = {"total": result["data"]["total"]}

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询协议价套包数量（套包存在且非停用下架状态，不是正价套包即isRegularPrice = 0）
sql = "SELECT t.* FROM `cmdc-order`.tc_fresenius_agreement_price t " \
      "WHERE companyCode = 00111 and isRegularPrice = 0 and " \
      "groupId in (SELECT t.groupId FROM `cmdc-order`.tc_fresenius_group t " \
      "WHERE status = 1 and groupType = 0);"
print(sql)
total = len(mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql))
print(total)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict3", total)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
